/*for the desktop display probably not the largest*/
*{
    box-sizing: border-box;
}

html::-webkit-scrollbar{
    width: 10px;
    scroll-behavior: smooth;
}
html::-webkit-scrollbar-thumb{
    background: brown;
    border-radius: 20px;
}
html::-webkit-scrollbar-thumb:hover{
    background: chocolate;
}

html::-webkit-scrollbar:horizontal{
    display: none;
}



body{
    background-color: ivory;
    margin: 0%;
    padding: 0;
}

header{
    background-image: url(https://res.cloudinary.com/doxxgebme/image/upload/v1735165299/BG_h3tewr.jpg);
    height: 44vw;/*header height not image height*/
    background-repeat: no-repeat;
    background-size: 100% 100%;
    background-position: 0% 0%;
    background-color: black;
    padding: 2vw 3vw 0 3vw;
    z-index: 1;
}

header::before{/*header fliter (pseudo class)*/
    content: "";
    height: inherit;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: black;
    opacity: 0.25;
}

.headscroll {
    position: fixed;
    opacity: 0;
    visibility: hidden;
    z-index: 10;
    height: 9vw;
    width: 100%;
    background-color: white;
    padding: 2vw 3vw 0 3vw;
    transition: all 0.5s ease-in-out;
}

.headscroll.blur {
    opacity: 1;
    visibility: visible;
    background-color: rgba(255, 255, 255, 0.5);
    backdrop-filter: blur(15px);
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.5);
}


.headscroll img{
    width: 7.5vw;
    height: 7.5vw;
    border-radius: 50%;
    position: relative;
    bottom: 1vw;
}

.headscroll .nav{
    list-style-type: none;
    display: inline-grid;
    grid-template-columns: 6vw 12vw 12vw 6vw;
    gap: 3vw;
    width: auto;
    position: relative;
    bottom: 4vw;
}

.headscroll .nav li a{
    text-decoration: underline;
    text-decoration-thickness: 5px;
    text-underline-offset: 10px;
    font-size: 30px;
    font-weight: bold;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    color: black;
}

.headscroll .nav li a:hover{
    text-decoration-style: dotted;
    color: gray;
    font-size: 30px;
    text-underline-offset: 10px;
    text-decoration-thickness: 6px;
    background-color: rgba(240, 255, 255, 0.109);
}

.headscroll .nav li .active{
    text-decoration-style: dotted;
    color: black;
    font-size: 32px;
    text-underline-offset: 10px;
    text-decoration-thickness: 7px;
    text-decoration-color:rgb(61, 63, 63);
}

.headscroll .contact{
    float: right;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    margin-top: auto;
    border-radius: 10px 10px 10px 10px;
}
.headscroll .contact a{
    font-size: 25px;
    text-decoration: none;
    color: black;
}

.headscroll .contact:hover{
    background-color: rgba(245, 245, 245, 0.616);
    box-shadow: wheat 3px 3px;
}


.menu{
    display: none;/*menu shall not diplay for desktop modes*/
}

.header{
    /*The whole header sub. div*/
    position: relative;
    width: auto;
}

.header img{
    width: 11vw;
    height: 11vw;
    border-radius: 100%;
}


.nav{
    list-style-type: none;
    display: inline-grid;
    grid-template-columns: 6vw 12vw 12vw 6vw;
    gap: 3vw;
    width: auto;
}

.nav li a{
    text-decoration: underline;
    text-decoration-thickness: 5px;
    text-underline-offset: 10px;
    font-size: 30px;
    font-weight: bold;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    color: white;

}

.nav li a:hover{
    text-decoration-style: dotted;
    color: cornsilk;
    font-size: 30px;
    text-underline-offset: 10px;
    text-decoration-thickness: 6px;
    background-color: rgba(240, 255, 255, 0.109);
}

.nav li .active{
    text-decoration-style: dotted;
    color: whitesmoke;
    font-size: 32px;
    text-underline-offset: 10px;
    text-decoration-thickness: 7px;
    text-decoration-color:rgb(240, 255, 255);
}

.contact{
    float: right;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    margin-top: 3vw;
    border: solid 2px whitesmoke;
    padding: 4px;
    border-radius: 10px 10px 10px 10px;
}
.contact a{
    font-size: 25px;
    text-decoration: none;
    color: white;
}

.contact:hover{
    background-color: rgba(245, 245, 245, 0.616);
    box-shadow: wheat 3px 3px;
}


.name{
    position: static;
    text-align: center;
    font-size: 10vw;
    margin-top: 5vw;
    text-shadow: black 3px 3px 3px;
    font-weight: bold;
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    color: white;

}

.aboutgrid{
    /*about main class*/
    display: grid;
    grid-template-columns: 30% 70%;
    margin: 3vw 3vw 0 3vw;
}

.ag1{
    font-family: Arial, Helvetica, sans-serif;
    font-size: 2vw;   
}

.grid_p2{
    display: grid;
    grid-template-columns: 44% 46%;
    gap: 2vw;
}


.p2{
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    word-break: keep-all;
    word-wrap: break-word;
    width: auto;
    font-size: 1.5vw;
}

.vid_container {
    position: relative;
    top: 4vw;
    width: 100%;
}
video{
    left: 18vw;
    position: relative;
}
.tour{
    width: 68%;
    height: 550px;
    text-shadow: 3px 3px 3px black;
    font-size: 4vw;
    font-weight: bold;
    position: absolute;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    left: 18vw;
    top: 0vw;
    cursor: pointer;
    background-image: url(https://res.cloudinary.com/doxxgebme/image/upload/v1735165318/tour_bg2_ag0d0k.jpg);
    background-repeat: no-repeat;
    background-size: cover;
}
.t_blog_grid{
    display: grid;
    grid-template-columns: 20% 70%;
    gap: 5vw;
    margin: 9vw 3vw 10vw 3vw;
    position: relative;
}
.tbg1{
    font-family: Arial, Helvetica, sans-serif;
    font-size: 2vw;
}
.tbg1 b{
    font-size: 2vw;
    font-family: Arial, Helvetica, sans-serif;
    position: relative;
    top: 5vw;
}
.tbg2{
    overflow: hidden;
    position: relative;
    height: 35vw;
    mask-image: linear-gradient(
        to right,
        rgba(0,0,0,0),
        rgba(0,0,0,1) 15%,
        rgba(0,0,0,1) 90%,
        rgba(0,0,0,0)
    );
}

@keyframes scrollleft {
    to{
        left: -250%;
    }
}
.tbg2 div{
    display: inline;
    position: absolute;
    left: 100%;
    animation: scrollleft 100s linear  infinite;
    margin-top: 5%;
}

.tbg2 .item1{
    animation-delay: calc((50s / 9 * (9 - 1) * -1)* 4);
}

.tbg2 .item2{
    animation-delay: calc((50s / 9 * (9 - 2) * -1)* 4);
}

.tbg2 .item3{
    animation-delay: calc((50s / 9 * (9 - 3) * -1)* 4);
}

.tbg2 .item4{
    animation-delay: calc((50s / 9 * (9 - 4) * -1)* 4);
}

.tbg2 .item5{
    animation-delay: calc((50s / 9 * (9 - 5) * -1)* 4);
}

.tbg2 .item6{
    animation-delay: calc((50s / 9 * (9 - 6) * -1)* 4);
}

.tbg2 .item7{
    animation-delay: calc((50s / 9 * (9 - 7) * -1)* 4);
}

.tbg2 .item8{
    animation-delay: calc((50s / 9 * (9 - 8) * -1)* 4);
}
.tbg2 .item9{
    animation-delay: calc((50s / 9 * (9 - 9) * -1)* 4);
}

.tbg2 div img{
    width: 18em;
    height: 18em;
    border-radius: 5%;
}

.tbg2 div p{
    font-size: 20px;
    font-weight: bold;
    font-family: Arial, Helvetica, sans-serif;
}

.sec_grid{
    display: grid;
    grid-template-columns: 36% 50%;
    margin: 9vw 3vw 0 3vw;
    gap: 5vw;
}
.sg_1{
    font-family: Arial, Helvetica, sans-serif;
    font-size: 2vw;
}

.sg_1 p{
    font-family: Arial, Helvetica, sans-serif;
    word-break: keep-all;
    word-wrap: break-word;
    width: auto;
}

.sg_2 img{
    width: 55vw;
    height: 35vw;
}

.houses_grid{
    display: grid;
    grid-template-columns: 10% 60%;
    margin: 9vw 3vw 0 3vw;
    gap: 29vw;
}

.hg1{
    font-family: Arial, Helvetica, sans-serif;
    font-size: 2vw;
}

.hg2 p{
    width: auto;
    font-size: 30px;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
}
.hg2 p b {
    position: relative;
    bottom: 35px;
}

.hg2 table{
    width: 100%;
    display: block;
    border-spacing: 7vw 4vw;
    position: relative;
    left: -7vw;
}

.hg2 table td{
    border-top: solid gray 2px;
    width: 25vw;
}

.hg2 table .aa{
    font-size: 2vw;
}

.hg2 table .aa strong{
    font-size: 7vw;
}

.Gal_grid{
    display: grid;
    grid-template-columns: 59% 35%;
    margin: 9vw 3vw 0 3vw;
    gap: 5vw;
}
.gg_2{
    font-family: Arial, Helvetica, sans-serif;
    font-size: 2vw;
}

.gg_2 p{
    font-family: Arial, Helvetica, sans-serif;
    word-break: keep-all;
    word-wrap: break-word;
    width: auto;
}

.gg_1 img{
    width: 55vw;
    height: 35vw;
}


footer{
    background-color: black;
    height: 30vw;
    margin-top: 9vw;
    padding: 20px;
    display: grid;
    grid-template-columns: 20% 70%;
}

footer img {
    width: 11vw;
    height: 11vw;
    border-radius: 100%;
    animation: rotate-360 8s linear infinite;
}

@keyframes rotate-360 {
    0%{
        transform: rotate(0deg);
    }
    100%{
        transform: rotate(360deg);
    }
}

.foot{
    display: grid;
    grid-template-columns: 25% 25% 25% 25%;
    gap: 0vw;
    row-gap: 4vw;
    margin-top: 3vw;
}

.foot a{
    font-size: 25px;
    font-weight: bold;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    color: white;
    text-decoration-line: none;
}

.foot a:hover{
    text-decoration-style: dotted;
    color: cornsilk;
    font-size: 26px;
    text-underline-offset: 10px;
    text-decoration-thickness: 6px;
    width: auto;
}
.cop{
    border-top: white solid 7px;
    text-align: center;
    color: white;
    width: 110%;
    margin-top: 3vw;
    display: flex;
    align-items: stretch;
    flex-direction: column;
    grid-column: 1/3;
    font-size: 30px;
    font-weight: bold;
    font-family: Arial, Helvetica, sans-serif;
    justify-content: center;
}

.side-nav{
    display: none;
}


.side-nav2{
    display: none;
}
  

@media screen and (max-width: 1026px) {
    .nav li a {
        font-size: 22px;
        text-underline-offset: 7px;
    }

    .nav li a:hover {
        font-size: 22px;
        text-decoration-thickness: 6px;
    }
    .nav li .active{
        font-size: 23px;
        text-underline-offset: 7px;
        text-decoration-thickness: 6px;
    }

    .contact a{
        font-size: 17px;
    }

    .headscroll .nav li a {
        font-size: 22px;
        text-underline-offset: 7px;
    }
    
    .headscroll .nav li a:hover {
        font-size: 22px;
        text-decoration-thickness: 6px;
    }
    .headscroll .nav li .active{
        font-size: 23px;
        text-underline-offset: 7px;
        text-decoration-thickness: 6px;
    }

    .aboutgrid{
         /*about main class*/
         grid-template-columns: 20% 80%;
         margin: 5vw 3vw 0 3vw;
    }


    .p2{
        font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
        font-size: 15px;
    }

    .ag2{
        margin: 0;
    }

    .ag1{
        position: relative;
        top: 3px;
    }

    video{
        height: 500px;
    }

    .tour{
        height: 500px;
    }
    .tbg2 div img{
        width: 14em;
        height: 14em;
        border-radius: 5%;
    }

    .sg_1 p{
        margin-block-start: 1.5em;
        margin-block-end: 2.5em;
    }

    .hg2 p{
        font-size: 25px;
    }
    .hg2 b{
        font-size: 30px;
    }

    .gg_2 p{
        margin-block-end: 2.5em;
    }

    .foot{
        grid-template-columns: 25% 25% 28% 25%;
        gap: 2vw;
    }

    .foot a{
        font-size: 20px;
    }

    .foot a:hover{
        font-size: 21px;
    }
}
@media screen and (max-width: 923px) {
    .nav li a {
        font-size: 17px;
        text-decoration-thickness: 4px;
    }
    .nav li a:hover{
        font-size: 17px;
        text-decoration-thickness: 4px;
    }
    .nav li .active{
        font-size: 18px;
        text-underline-offset: 5px;
        text-decoration-thickness: 4px;
    }
    .contact{
        padding: 2px;
        border:  solid 1px white;
        border-radius: 5px 5px 5px 5px;
    }
    .contact:hover{
        box-shadow: 2px 2px wheat;
    }
    .contact a{
        font-size: 14px;
    }

    html::-webkit-scrollbar{
        width: 5px;
    }

    .headscroll .nav li a {
        font-size: 17px;
        text-decoration-thickness: 4px;
    }
    .headscroll .nav li a:hover{
        font-size: 17px;
        text-decoration-thickness: 4px;
    }
    .headscroll .nav li .active{
        font-size: 18px;
        text-underline-offset: 5px;
        text-decoration-thickness: 4px;
    }
    .headscroll .contact{
        padding: 2px;
        border:  solid 1px white;
        border-radius: 5px 5px 5px 5px;
    }
    .headscroll .contact:hover{
        box-shadow: 2px 2px wheat;
    }
    .headscroll .contact a{
        font-size: 14px;
    }

    .ag2{
        font-size: 21px;
    }

    .p2{
        font-size: 13px;
    }

    .grid_p2{
        grid-template-columns: 42% 43%;
        gap: 3vw;
    }

    video{
        height: 310px;
    }
    .tour{
        height: 310px;
    }

    .tbg2 div img{
        width: 10em;
        height: 10em;
    }

    .tbg2 div p{
        font-size: 13px;
    }

    .hg2 p{
        font-size: 17px;
    }
    .hg2 p b{
        bottom: 20px;
        font-size: 25px;
    }

    .foot{
        row-gap: 3vw;
    }

    .foot a{
        font-size: 15px;
    }

    .foot a:hover{
        font-size: 16px;
    }

    .cop{
        border-top: white solid 3px;
        font-size: 21px;
    }
}
@media screen and (max-width: 500px) {
    .nav{
        display: none;
    }
    .contact{
        display: none;
    }
    #overlay{
        position: fixed;
        inset: 0;
        z-index: 1;
        background-color: rgba(0, 0, 0, 0.3);
        display: none;
    }

    #overlay2{
        position: fixed;
        inset: 0;
        z-index: 1;
        background-color: rgba(0, 0, 0, 0.3);
        display: none;
    }
    .side-nav{
        width: 50vw;
        display: block;
        height: 189dvh;
        background-color: white;
        position: fixed;
        top: 0;
        right: -100%;
        z-index: 10;
        transition: right 0.8s ease-in-out;
        border-radius: 0% 0% 0% 0%;
    }
    .side-nav ul{
        list-style-type: none;
        padding: 0;
        margin: 0;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
    }
    .side-nav li:nth-child(1){
        align-self: flex-end;
        width: fit-content;
    }

    .menu{
        cursor: pointer;
        top: 15px;
        left: 10px;
        width: 30px;
        position: sticky;
        background-color: unset;
        color: azure;
        border-radius: 15%;
        padding: 2px;
        cursor: pointer;
        display: inline;
        float: right;
        font-family: Arial, Helvetica, sans-serif;
        border: none;
    }

    .Xmenu{
        cursor: pointer;
    }


    .side-nav li{
        width: 100%;
    }
    .side-nav li a{
        color: black;
        text-decoration: none;
        font-family: 'Quicksand' sans-serif;
        display: block;
        width: 100%;
        text-align: center;
        transition: all 0.5s ease-in-out;
        padding: 5px 0 5px 10px;
        text-align:left;
        border-radius: 5%;
    }

    .side-nav a:hover{
        background-color: brown;
        color: beige;
    }

    .side-nav .active{
        background-color: burlywood;
        color: brown;
    }

    .side-nav .active:hover{
        background-color: brown;
        color: beige;
    }

    .side-nav .Xmenu{
        position: relative;
    }
    .cancel{
        background-color: unset;
        color: black;
        border: unset;
        font-size: 15px;
        font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    }

    .headscroll .nav{
        display: none;
    }

    .side-nav2{
        width: 50vw;
        display: block;
        height: 189dvh;
        background-color: white;
        position: fixed;
        top: 0;
        right: -100%;
        z-index: 10;
        transition: right 0.8s ease-in-out;
        border-radius: 0% 0% 0% 0%;
    }
    .side-nav2 ul{
        list-style-type: none;
        padding: 0;
        margin: 0;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
    }
    .side-nav2 li:nth-child(1){
        align-self: flex-end;
        width: fit-content;
    }

    .menu2{
        cursor: pointer;
        top: 15px;
        left: 10px;
        width: 30px;
        position: sticky;
        background-color: unset;
        color: azure;
        border-radius: 15%;
        padding: 2px;
        cursor: pointer;
        display: inline;
        float: right;
        font-family: Arial, Helvetica, sans-serif;
        border: none;
    }

    .Xmenu2{
        cursor: pointer;
    }


    .side-nav2 li{
        width: 100%;
    }
    .side-nav2 li a{
        color: black;
        text-decoration: none;
        font-family: 'Quicksand' sans-serif;
        display: block;
        width: 100%;
        text-align: center;
        transition: all 0.5s ease-in-out;
         padding: 5px 0 5px 10px;
         text-align:left;
         border-radius: 5%;
    }

    .side-nav2 a:hover{
        background-color: brown;
        color: beige;
    }

    .side-nav2 .active{
        background-color: burlywood;
        color: brown;
    }

    .side-nav2 .active:hover{
        background-color: brown;
        color: beige;
    }

    .side-nav2 .Xmenu2{
        position: relative;
    }

    .aboutgrid{
        grid-template-columns: 100%;
        row-gap: 2vw;
    }

    .ag1{
        font-size: 4vw;
    }

    .grid_p2{
        grid-template-columns: 95%;
        gap: 0vw;
    }

    .tour{
        height: 200px;
        width: 85vw;
        left: 8vw;
    }
    video{
        height: 200px;
        width: 85vw;
        left: 8vw;
    }

    .t_blog_grid{
        grid-template-columns: 100%;
        gap: 2vw;
    }

    .tbg1 b{
        font-size: 4vw;
    }

    .tbg1{
        font-size: 4vw;
    }

    .tbg2{
        margin-top: 2vw;
        height: 45vw;
    }
   

    .tbg2 div img{
        width: 8em;
        height: 8em;
    }

    .tbg2 div p {
        font-size: 11px;
    }

    .sec_grid{
        grid-template-columns: 100%;
        gap: 0;
    }

    .sg_1{
        font-size: 3vw;
    }

    .sg_2 img {
        width: 93vw;
        height: 45vw;
    }

    .houses_grid{
        grid-template-columns: 100%;
        gap: 2vw;
    }

    .hg1{
        font-size: 4vw;
    }

    .hg2 p b{
        font-size: 20px;
    }

    .hg2 table{
        border-spacing: 13vw 4vw;
        left: -12vw;
    }

    .hg2 table .aa{
        font-size: 3vw;
    }

    .hg2 table .aa strong{
        font-size: 12vw;
    }

    .Gal_grid{
        grid-template-columns: 100%;
    }

    .gg_2{
        font-size: 4vw;
    }
    .gg_2 p{
        font-size: 3vw;
    }

    .gg_1 img{
        width: 92vw;
        height: 45vw;
    }

    footer{
        height: 43vw;
        margin-top: 0;
    }

    .flg{
        height: 11vw;
        width: fit-content;
    }

    .foot a{
        font-size: 8px;
    }

    .foot a:hover{
        font-size: 8px;
    }

    .cop{
        font-size: 15px;
        flex-direction: row;
    }

}
@media screen and (max-width: 380px) {

    .ag1{
        font-size: 3vw;
    }

    .ag2{
        font-size: 5vw;
    }

    .grid_p2{
        position: relative;
        top: -6vw;
    }

    .vid_container{
        top: 0;
    }

    .t_blog_grid{
        margin-top: 6vw;
    }

    .tbg2 div img {
        width: 7em;
        height: 5em;
    }

    .hg2 p b{
        font-size: 15px;
        bottom: 12px;
    }

    .hg2 p{
        font-size: 11px;
    }
    .foot a{
        font-size: 6px;
    }

    .foot a:hover{
        font-size: 6px;
    }
}
@media screen and (max-width: 325px) {

    .ag1{
        font-size: 3vw;
    }

    .ag2{
        font-size: 4vw;
    }

    .p2{
        font-size: 11px;
    }

    .sg_1 {
        font-size: 4vw;
    }

    .gg_2 p {
        font-size: 4vw;
    }

    .foot a {
        font-size: 7px;
    }

    .tbg2 div img {
        width: 6em;
        height: 7em;
    }

    .grid_p2{
        position: relative;
        top: -6vw;
    }

    .vid_container{
        top: 0;
    }

    .t_blog_grid{
        margin-top: 6vw;
    }

    .hg2 p b{
        font-size: 15px;
        bottom: 12px;
    }

    .hg2 p{
        font-size: 11px;
    }
    
    .cop {
        font-size: 12px;
        border-top: white solid 1px;
        flex-direction: column-reverse;
    }

}
